/**************************************************************
  PURPOSE:  C++ Class example for Arduino Sonar Sensor (HCSR04)
  Created by      Robert Schaefer
  DATE:   10/2017
**************************************************************/

#include "HCSR04.h"


// Starting the program
HCSR04ProxSensor::HCSR04ProxSensor(int echoPin, int triggerPin)
{
  pinMode(echoPin, INPUT);          //Set echoPin as Input
  pinMode(triggerPin, OUTPUT);      //Set triggerPin as Input
  _EP=echoPin;                      //Saving the echoPin for future use
  _TP=triggerPin;                   //Saving the triggerPin for future use
}


float HCSR04ProxSensor::readSensor(){
_getLastValue=_readSensor;          //Saving the previous value

  // Collecting new data
  digitalWrite(_TP, HIGH);          //Make a 10usec pulse
  delayMicroseconds(10);
  digitalWrite(_TP, LOW);
  
  int duration = pulseIn(_EP,HIGH); //Now read the pulse that is sent back by the sensor
                                    //PulseIn returns the pulse length in usec
  
  _readSensor= duration/58;         //The distance in [cm] is calculated by pulselength[usec]/58
  
  return _readSensor;               // Returning the readSensor data
}


float HCSR04ProxSensor::getLastValue()
{             
  return _getLastValue;             //Returning the getLastValue data
}

