/**************************************************************
  PURPOSE:  C++ Class example for Arduino Sonar Sensor (HCSR04)
  Created by      Robert Schaefer
  DATE:   10/2017
**************************************************************/

// To prevent a program from including the library
// multiple times
  #ifndef HCSR04_h
  #define HCSR04_h

  // If the arduino is verizion 1.0 use Arduino.h
  // else use WProgram.h
  #if (ARDUINO>=100)
   #include "Arduino.h"
  #else
    #include "WProgram.h"
  #endif



class HCSR04ProxSensor {
  
  // Information to and from the sketch
  public:
  // Constructor-Inputing initail values from the sketch
  HCSR04ProxSensor(int echoPin,int triggerPin);


  // Methods-Ouputing values from the library
  float readSensor();
  
  float getLastValue();


  
  // Information for the library only
  private:
  long duration, old_distance,_TP,_EP,_readSensor,_getLastValue;
};


#endif 
